package com.yd.dal.entity.agms.hiring;

/**
 * @author xxy
 */
public class PractitionerHiringMemberShip {

    /**
     * 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    private String practitionerLevelId;

    /**
     * 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    private String practitionerLevel;

    /**
     * 辅导人
     */
    private String mentor;

    /**
     * 介绍人
     */
    private String introducer;

    /**
     * 体系
     */
    private String subsystem;

    /**
     * 体系负责人
     */
    private String subsystemOwner;

    /**
     * 分公司
     */
    private String branch;

    /**
     * 辅导人的组织架构信息
     */
    private String systemFlag;//系统标志，区分公司营业部和体系，1，分公司，2营业部，3，S1分部,4,S2体系,5,S3纵队
    private String s3SubordinateSystemName;//s3所属体系名称
    private String s2SubordinateSystemName;//s2所属体系名称
    private String s1SubordinateSystemName;//s1所属体系名称
    private String s3TeamLeaderName;//S3团队长名称
    private String s2TeamLeaderName;//S2团队长名称
    private String s1TeamLeaderName;//S1团队长名称
    private Long s3TeamLeaderId;//S3团队长Id
    private Long s2TeamLeaderId;//S2团队长Id
    private Long s1TeamLeaderId;//S1团队长Id


    /**
     * 获取 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @return practitionerLevelCode 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public String getPractitionerLevelId() {
        return this.practitionerLevelId;
    }

    /**
     * 设置 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @param practitionerLevelId 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public void setPractitionerLevelId(String practitionerLevelId) {
        this.practitionerLevelId = practitionerLevelId;
    }

    /**
     * 获取 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @return practitionerLevel 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public String getPractitionerLevel() {
        return this.practitionerLevel;
    }

    /**
     * 设置 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @param practitionerLevel 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public void setPractitionerLevel(String practitionerLevel) {
        this.practitionerLevel = practitionerLevel;
    }

    /**
     * 获取 辅导人
     *
     * @return mentor 辅导人
     */
    public String getMentor() {
        return this.mentor;
    }

    /**
     * 设置 辅导人
     *
     * @param mentor 辅导人
     */
    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    /**
     * 获取 介绍人
     *
     * @return introducer 介绍人
     */
    public String getIntroducer() {
        return this.introducer;
    }

    /**
     * 设置 介绍人
     *
     * @param introducer 介绍人
     */
    public void setIntroducer(String introducer) {
        this.introducer = introducer;
    }

    /**
     * 获取 体系
     *
     * @return subsystem 体系
     */
    public String getSubsystem() {
        return this.subsystem;
    }

    /**
     * 设置 体系
     *
     * @param subsystem 体系
     */
    public void setSubsystem(String subsystem) {
        this.subsystem = subsystem;
    }

    /**
     * 获取 体系负责人
     *
     * @return subsystemOwner 体系负责人
     */
    public String getSubsystemOwner() {
        return this.subsystemOwner;
    }

    /**
     * 设置 体系负责人
     *
     * @param subsystemOwner 体系负责人
     */
    public void setSubsystemOwner(String subsystemOwner) {
        this.subsystemOwner = subsystemOwner;
    }

    /**
     * 获取 分公司
     *
     * @return branch 分公司
     */
    public String getBranch() {
        return this.branch;
    }

    /**
     * 设置 分公司
     *
     * @param branch 分公司
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag;
    }

    public String getS3SubordinateSystemName() {
        return s3SubordinateSystemName;
    }

    public void setS3SubordinateSystemName(String s3SubordinateSystemName) {
        this.s3SubordinateSystemName = s3SubordinateSystemName;
    }

    public String getS2SubordinateSystemName() {
        return s2SubordinateSystemName;
    }

    public void setS2SubordinateSystemName(String s2SubordinateSystemName) {
        this.s2SubordinateSystemName = s2SubordinateSystemName;
    }

    public String getS1SubordinateSystemName() {
        return s1SubordinateSystemName;
    }

    public void setS1SubordinateSystemName(String s1SubordinateSystemName) {
        this.s1SubordinateSystemName = s1SubordinateSystemName;
    }

    public String getS3TeamLeaderName() {
        return s3TeamLeaderName;
    }

    public void setS3TeamLeaderName(String s3TeamLeaderName) {
        this.s3TeamLeaderName = s3TeamLeaderName;
    }

    public String getS2TeamLeaderName() {
        return s2TeamLeaderName;
    }

    public void setS2TeamLeaderName(String s2TeamLeaderName) {
        this.s2TeamLeaderName = s2TeamLeaderName;
    }

    public String getS1TeamLeaderName() {
        return s1TeamLeaderName;
    }

    public void setS1TeamLeaderName(String s1TeamLeaderName) {
        this.s1TeamLeaderName = s1TeamLeaderName;
    }

    public Long getS3TeamLeaderId() {
        return s3TeamLeaderId;
    }

    public void setS3TeamLeaderId(Long s3TeamLeaderId) {
        this.s3TeamLeaderId = s3TeamLeaderId;
    }

    public Long getS2TeamLeaderId() {
        return s2TeamLeaderId;
    }

    public void setS2TeamLeaderId(Long s2TeamLeaderId) {
        this.s2TeamLeaderId = s2TeamLeaderId;
    }

    public Long getS1TeamLeaderId() {
        return s1TeamLeaderId;
    }

    public void setS1TeamLeaderId(Long s1TeamLeaderId) {
        this.s1TeamLeaderId = s1TeamLeaderId;
    }

    @Override
    public String toString() {
        return "PractitionerHiringMemberShip{" +
                "practitionerLevelId='" + practitionerLevelId + '\'' +
                ", practitionerLevel='" + practitionerLevel + '\'' +
                ", mentor='" + mentor + '\'' +
                ", introducer='" + introducer + '\'' +
                ", subsystem='" + subsystem + '\'' +
                ", subsystemOwner='" + subsystemOwner + '\'' +
                ", branch='" + branch + '\'' +
                ", systemFlag='" + systemFlag + '\'' +
                ", s3SubordinateSystemName='" + s3SubordinateSystemName + '\'' +
                ", s2SubordinateSystemName='" + s2SubordinateSystemName + '\'' +
                ", s1SubordinateSystemName='" + s1SubordinateSystemName + '\'' +
                ", s3TeamLeaderName='" + s3TeamLeaderName + '\'' +
                ", s2TeamLeaderName='" + s2TeamLeaderName + '\'' +
                ", s1TeamLeaderName='" + s1TeamLeaderName + '\'' +
                ", s3TeamLeaderId=" + s3TeamLeaderId +
                ", s2TeamLeaderId=" + s2TeamLeaderId +
                ", s1TeamLeaderId=" + s1TeamLeaderId +
                '}';
    }
}
